Bug 61103 - script to be included with ucd-snmp package
script to be included with ucd-snmp package
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-13 12:03 EST by Joshua Giles
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 09:10:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Giles 2002-03-13 12:03:34 EST
Description of Problem:
Need a script to work with ucd-snmp to obtain manufacturer name and device name 
and replace "eth0" under interfaces.ifTable.ifEntry.ifDesc with the output of 
that script.

A pass line in snmpd.conf should do the trick.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Phil,

Here is the script:

#!/bin/sh
#script to return manufa. name and device name

ethtool -i eth0 |grep bus-info| awk '{print $2}' |xargs -n 1 lspci -s 
|awk '{print $4,$5,$6}|'
Comment 1 Phil Knirsch 2002-03-14 06:01:06 EST
The script itself is not enough. A change to the config file is at least
required as well.

For changing the ifDecription a change to the package itself is probably
required as simply replacing the MIBOID with a pass and/or exec doesn't work.

Read ya, Phil
Comment 2 Phil Knirsch 2002-04-09 09:10:06 EDT
Waiting for final call on this one. Deferring it for now...

Read ya, Phil
Comment 3 Joshua Giles 2002-04-09 10:23:22 EDT

I explained all we talked about to the guys here and it worked!  Unbelievable.  
I suggested an oid under our enterprise tree with the needed data.  

Thanks Phil

Note You need to log in before you can comment on or make changes to this bug.